////////////////////////////////////////////////////////////////////////////
// PLXADM-Serial.h
//
// Original work by:
// Rich Reynolds, Vital Computer Solutions
//
//	Ken Hopwood, ProSoft Technology
//	Copyright(c) 1999-2006 ProSoft Technology, All rights reserved.
//
// MODIFIED:
// 11/01/99 -- Changed product name and code for DF1 protocol.
// 11/17/99 -- Changed product name for Bosch protocol
//	01/07/00 -- Added additional command error definitions
// 06/20/00 -- Changed defines from DFM to GEN and renamed file (DJS)
//	07/06/00 -- Removed unused declarations (KDH)
// 04/08/05 -- Developed sample module
//	09/12/05 -- Created ProLinx version

// ProSoft Technology, Inc. grants you a non-exclusive license to use, modify
// and re-distribute this program provided that this copyright notice and
// license appear on all copies of the software.
//
// Software is provided "AS IS," without a warranty of any kind. ALL EXPRESS OR
// IMPLIED REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE
// HEREBY EXCLUDED. THE ENTIRE RISK ARISING OUT OF USING THE SOFTWARE IS ASSUMED
// BY THE LICENSEE.
//
// PROSOFT TECHNOLOGY, INC. AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY
// DAMAGES SUFFERED BY LICENSEE OR ANY THIRD PARTY AS A RESULT OF USING OR
// DISTRIBUTING SOFTWARE.  IN NO EVENT WILL PROSOFT TECHNOLOGY, INC. OR ITS
// LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT,
// INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
// CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF
// OR INABILITY TO USE SOFTWARE, EVEN IF PROSOFT TECHNOLOGY, INC. HAS BEEN
// ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
//
////////////////////////////////////////////////////////////////////////////

#include    "mvispapi.h"  	// serial API
#include    "admapi.h"  	// ADM API

// USER DATA TYPES


// GLOBAL VARIABLES
ADMHANDLE adm_handle;					   /* handle to ADM API */

ADM_INTERFACE     interface;
ADMVERSIONINFO    adm_version;

MVISPVERSIONINFO	spverinfo;	/* serial API version struct */
ADM_INTERFACE * interface_ptr;

